Skip to main content
POST
/
conversations
/
my
List current user's inbox conversations
curl --request POST \
  --url https://api.leadping.ai/conversations/my \
  --header 'Content-Type: application/json' \
  --data '
{
  "pageSize": "<string>",
  "continuationToken": "<string>",
  "orderBy": [
    {
      "field": "<string>"
    }
  ],
  "includeCount": true,
  "search": "<string>",
  "searchFields": [
    "<string>"
  ],
  "filters": [
    {
      "value": "<unknown>",
      "field": "<string>"
    }
  ],
  "rangeFilters": [
    {
      "greaterThan": "<unknown>",
      "greaterThanOrEqual": "<unknown>",
      "lessThan": "<unknown>",
      "lessThanOrEqual": "<unknown>",
      "field": "<string>"
    }
  ]
}
'
{
  "items": [
    {
      "id": "<string>",
      "leadId": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "lastSnippet": "<string>",
      "lastEventAt": "2023-11-07T05:31:56Z",
      "statusReason": "<string>",
      "archivedAt": "2023-11-07T05:31:56Z",
      "archiveReason": "<unknown>",
      "isArchived": true,
      "currentDisposition": {
        "id": "<string>",
        "outcome": "<string>",
        "displayName": "<string>",
        "changedAt": "2023-11-07T05:31:56Z",
        "changedByUserId": "<string>",
        "changedByAutomationId": "<string>"
      },
      "nextStep": "<string>",
      "isUnread": true,
      "phoneNumber": {
        "id": "<string>",
        "name": "<string>",
        "value": "<string>"
      },
      "outboundPhoneNumberOverrideId": "<string>",
      "activeOutboundPhoneNumberId": "<string>"
    }
  ],
  "pageSize": "<string>",
  "totalCount": "<string>",
  "continuationToken": "<string>"
}

Query Parameters

archiveFilter
integer

Controls whether lead queries return active, archived, or all leads.

Body

Cancellation token.

Options for flexible, efficient, and explicit querying in Cosmos DB or similar repositories.

pageSize
string<int32>

Maximum items to return in one page

Pattern: ^-?(?:0|[1-9]\d*)$
continuationToken
string | null

Opaque Cosmos DB continuation token. ‑ on the first request. ‑ Client must echo back the NextToken it received from the previous page.

orderBy
object[] | null

List of sort instructions, in priority order.

includeCount
boolean | null

Whether to include the total count in the response (for pagination).

search
string | null

The search term to filter results (applied to ).

searchFields
string[] | null

The list of fields to apply the Search term to (must be string properties).

filters
object[] | null

Key-value exact match filters (e.g., Status = Active).

rangeFilters
object[] | null

Advanced range-based filters (e.g., Price > 50 and Price <= 200).

Response

Returns the paged conversation response.

A generic container for paginated results returned to the client.

items
object[]

The subset of items returned for the current page.

pageSize
string<int32>

The number of items returned per page in the response. This may reflect the client's requested page size, or a server-defined default or limit.

Pattern: ^-?(?:0|[1-9]\d*)$
totalCount
string<int32> | null

The total number of items that match the query across all pages. May be null if the count is not computed or not applicable (e.g., in continuation-based pagination).

Pattern: ^-?(?:0|[1-9]\d*)$
continuationToken
string | null

Opaque storage continuation token. ‑ null → the current page was the last page.